incubator-callback-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From gtan...@gmail.com
Subject Re: [jira] [Commented] (CB-304) Cordova's require/define can't be used with Dojo's require/define
Date Thu, 08 Mar 2012 22:10:51 GMT
+1

I think having a cordova object off window in the future my end up being a requirement, our
module system can't really be swapped out with just any module loader since we have some specific
requirements on our loader (ie, throws an exception when not defined)
Sent on the TELUS Mobility network with BlackBerry

-----Original Message-----
From: "Filip Maj (Commented) (JIRA)" <jira@apache.org>
Date: Thu, 8 Mar 2012 21:37:56 
To: <callback-dev@incubator.apache.org>
Reply-To: callback-dev@incubator.apache.org
Subject: [jira] [Commented] (CB-304) Cordova's require/define can't be used
 with Dojo's require/define


    [ https://issues.apache.org/jira/browse/CB-304?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13225550#comment-13225550
] 

Filip Maj commented on CB-304:
------------------------------

Yeh super important to fix ASAP. I think I like the solution of wrapping the entire script
in another function to hide away our {{require}} and {{define}} methods.

Perhaps next step would be to optionally expose the two functions on the {{Cordova}} object...
but not necessary for the initial fix, no?
                
> Cordova's require/define can't be used with Dojo's require/define
> -----------------------------------------------------------------
>
>                 Key: CB-304
>                 URL: https://issues.apache.org/jira/browse/CB-304
>             Project: Apache Callback
>          Issue Type: Bug
>          Components: CordovaJS
>            Reporter: Patrick Mueller
>            Assignee: Filip Maj
>
> summarized from https://groups.google.com/d/topic/phonegap/D1cm3kQzKJ0/discussion
> {quote}
> I was targeting Android and used Phonegap 1.2.0 in combination with Dojo 1.7 which worked
fine. Now I switched to Phonegap 1.5.0 and found a severe problem. The new module system in
Phonegap 1.5.0 uses global functions "define" and "require". Dojo 1.7 does the same for its
own module system. Hence, whatever is loaded first, breaks the other one. 
> Could the Phonegap developers consider to modify the module system in a way that it is
compatible with Dojo's? 
> {quote}

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        
Mime
View raw message